/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.hhn;

/**
 *
 * @author LH
 */
public class Dopple
{
    public static void main(String[] args)
    {
        String a = "TestABCDE";
        System.out.println(a+"\n"+dopple(a));
    }  
        
    public static String dopple(String in)
    {
        return in.length()<2?in+in:in.substring(0,1)+in.substring(0,1)+dopple(in.substring(1));  
    }
    
}


